Package de.willuhn.jameica.hbci.gui.parts

# Class UmsatzTypVerlauf

java.lang.Object
de.willuhn.jameica.hbci.gui.parts.UmsatzTypVerlauf

All Implemented Interfaces:
  `de.willuhn.jameica.gui.Part`

public class UmsatzTypVerlauf extends Object implements de.willuhn.jameica.gui.Part
Zeigt die Umsaetze von Kategorien im zeitlichen Verlauf.

## Constructor Summary

Constructors
Constructor
Description
`UmsatzTypVerlauf()`

## Method Summary

Modifier and Type
Method
Description
`void`
`paint(org.eclipse.swt.widgets.Composite parent)`
`void`
`redraw()`
Aktualisiert das Chart.
`void`
`setData(List data, Date start, Date stop)`
Speichert die anzuzeigenden Daten.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UmsatzTypVerlauf

public UmsatzTypVerlauf()

## Method Details

### setData

public void setData(List data, Date start, Date stop)
Speichert die anzuzeigenden Daten.

Parameters:
  `data` - Liste mit Objekten des Typs "UmsatzGroup".
  `start` - Start-Datum.
  `stop` - Stop-Datum.

### redraw

public void redraw() throws RemoteException
Aktualisiert das Chart.

Throws:
  `RemoteException`

### paint

public void paint(org.eclipse.swt.widgets.Composite parent) throws RemoteException

Specified by:
  `paint` in interface `de.willuhn.jameica.gui.Part`
Throws:
  `RemoteException`
See Also:
  - `Part.paint(org.eclipse.swt.widgets.Composite)`